#!/usr/bin/env node
import { cli } from 'cleye';
import { readFileSync, writeFileSync } from 'fs';
import { c as createSwaggerSpec } from './swagger-03f4e4e3.js';
import 'path';
import 'swagger-jsdoc';

const argv = cli({
  name: "next-swagger-doc-cli",
  parameters: [
    "<config file>"
  ],
  flags: {
    output: {
      type: String,
      description: "Output file path",
      default: "public/swagger.json"
    }
  }
});
const config = readFileSync(argv._.configFile);
const spec = createSwaggerSpec(JSON.parse(config.toString()));
console.log(`Generating swagger spec to ${argv.flags.output} with config`, config.toString());
writeFileSync(argv.flags.output, JSON.stringify(spec, null, 2));
